Subject: Re: [art] [Linkset I-D] Array of linksets?

From: Phil Archer <[email-masked]>
Date: Mon, 15 Jun 2020 08:31:01 +0000

Thanks to Herbert and Dret for a very useful conversation earlier today.
Having talked through a number of issues surrounding the likely GS1 use
of Linksets, I am happy to report here that:

1. On reflection, we don't currently see any need for changes to the I-D.

2. I am very confident, but cannot formally confirm, that GS1 will
implement Linkset in its own services over the coming months.

3. The current GS1 Digital Link standard makes an informative reference
to version 03 of the Linkset I-D. Again, I am very confident but cannot
formally confirm, that this will become a normative reference in the
next iteration of our work, likely to be ratified as a GS1 standard
around February 2021.

Formal confirmation can only come following a resolution of the GS1
Working Group so I'll work on that in the coming weeks. We'll keep this
list informed of our progress and hope that this will help the I-D
complete the transition to RFC (making a lot easier to refer to it
normatively).

HTH

Phil

On 27/05/2020 08:26, Herbert Van de Sompel wrote:
> hi Phil,
>
> Thanks a lot for your mail and your support for the "linkset" spec. That's super!
>
> Dret is currently enjoying a vacation but we are scheduling a time, next week,
> to discuss both points (linkset array, linktype) that you brought up. We'll be
> back with a response asap.
>
> Cheers
>
> Herbert
>
> On Tue, May 26, 2020 at 5:11 PM Phil Archer <[email-masked]
> <mailto:[email-masked]>> wrote:
>
>      Dear all,
>
>      My colleagues and I at GS1 have been looking carefully at Dret and
>      HvdSompel's work on Linksets [1]. We are very excited to see this work
>      making progress and are very likely to implement and normatively
>      reference it. We made an informative reference to an earlier version in
>      our GS1 Digital Link standard [2] which is the basis for a future state
>      where a barcode scan links to multiple sources of related information.
>      Sections 7.5 and 7.7.4 of that standard talk specifically about
>      providing those links as HTTP Link headers and as JSON objects - hence
>      our interest in this I-D.
>
>      As a quick orientation, try this
>
>      curl -I id.gs1.org/01/9506000134352 <http://id.gs1.org/01/9506000134352>
>
>      in a terminal (9506000134352 is the GTIN - the kind of string of
>      integers you typically see in a GS1 barcode on an item).
>
>      GET that same resource with ?linkType=all for the JSON representation
>      and an HTML rendering of it. That JSON does *not* follow the Linkset I-D
>      but we expect it to soon.
>
>      But... you knew there was a but coming, right?
>
>      Consider the service we're setting up.
>
>      You scan a code on an item and receive links to related resources.
>
>      Who provided those links?
>
>      Well, you might have got them from a GS1 resolver so you might think
>      they came from  GS1. Nope. They came from the brand owner. And that's a
>      critical point - we want to provide provenance information for who
>      provided the link to the nutritional facts about 9506000134352, or its
>      instruction manual, or its HAZMAT info etc. In the medical sphere it
>      *really* matters what info you're pointing to. Hence we're looking at
>      enabling brand owners to digitally sign those linksets too.
>
>      So far so good - the I-D allows what one might consider to be metadata
>      to a linkset.
>
>      There are two scenarios where that's not enough:
>      - where more than one person provides links (makes assertions about) an
>      item;
>      - where a GS1 resolver provides bulk downloads of all available links
>      (yes, we plan to do that ;-) )
>
>      In those cases, we need to be able to put multiple linksets in a single
>      JSON document.
>
>      For that reason, section 4.2.1 is a bit of a problem: "A set of links
>      MUST be represented as a JSON object which MUST have "linkset" as its
>      sole member."
>
>      Would it be possible to make this an array of linksets?
>
>      WDYT?
>
>      Phil
>
>
>      [1] https://tools.ietf.org/html/draft-wilde-linkset-06
>      [2] https://www.gs1.org/docs/Digital-Link/GS1_Digital_link_Standard_i1.1.pdf
>
>
>      --
>      Phil Archer
>      Director, Web Solutions, GS1
>      https://www.gs1.org
>
>      Meet GS1 Digital Link Developers at
>      https://groups.google.com/forum/#!forum/gs1-digital-link-developers
>
>      https://philarcher.org
>      +44 (0)7887 767755
>      @philarcher1
>      Skype: philarcher
>      A word on abbreviations I sometimes use in email:
>      https://philarcher.org/diary/2019/emailabbreviations/
>
>      CONFIDENTIALITY / DISCLAIMER: The contents of this e-mail are  confidential
>      and are not to be regarded as a contractual offer or acceptance from GS1
>      (registered in Belgium).
>      If you are not the addressee, or if this has been copied or sent to you in
>      error, you must not use data herein for any purpose, you must delete it, and
>      should inform the sender.
>      GS1 disclaims liability for accuracy or completeness, and opinions expressed
>      are those of the author alone.
>      GS1 may monitor communications.
>      Third party rights acknowledged.
>      (c) 2020.
>
>      _______________________________________________
>      art mailing list
>      [email-masked] <mailto:[email-masked]>
>      https://www.ietf.org/mailman/listinfo/art
>
>
>
> --
> ==================
> Herbert Van de Sompel
> Chief Innovation Officer
> DANS
> [email-masked] <mailto:[email-masked]>
> +31 6 22 83 93 15
> https://hvdsomp.info
> https://orcid.org/0000-0002-0715-6126
>

--
Phil Archer
Director, Web Solutions, GS1
https://www.gs1.org

Meet GS1 Digital Link Developers at
https://groups.google.com/forum/#!forum/gs1-digital-link-developers

https://philarcher.org
+44 (0)7887 767755
@philarcher1
Skype: philarcher
A word on abbreviations I sometimes use in email:
https://philarcher.org/diary/2019/emailabbreviations/

CONFIDENTIALITY / DISCLAIMER: The contents of this e-mail are  confidential and are not to be regarded as a contractual offer or acceptance from GS1 (registered in Belgium). 
If you are not the addressee, or if this has been copied or sent to you in error, you must not use data herein for any purpose, you must delete it, and should inform the sender. 
GS1 disclaims liability for accuracy or completeness, and opinions expressed are those of the author alone. 
GS1 may monitor communications. 
Third party rights acknowledged. 
(c) 2020.